Bug 2981 - Misleading interface for selecting patron from circulation search results
Summary: Misleading interface for selecting patron from circulation search results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-24 10:57 UTC by Owen Leonard
Modified: 2012-10-25 22:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Style tweaks to change the appearance of the multi-select form element (1.84 KB, patch)
2009-02-24 11:05 UTC, Chris Cormack
Details | Diff | Splinter Review
Proposed fix (780 bytes, patch)
2010-05-18 16:53 UTC, Chris Cormack
Details | Diff | Splinter Review
signed off patch (883 bytes, patch)
2010-12-14 15:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:05:00 UTC


---- Reported by oleonard@myacpl.org 2009-02-24 10:57:46 ----

Recent changes to the circulation screen have create a deceptive user interface that could increase user errors. After searching for a patron from circulation the search results are displayed as a multiple select box. A recent change has introduced an automatic javascript-redirect when the user clicks an individual item on the list. This behavior breaks the UI expectations for multi-selects. Where a user might have previously been able to click on one entry and then use the mouse-wheel to scroll through the list, now they will be suddenly redirected to the wrong destination.

My preference would be for the behavior to be reverted to its original state without the javascript redirect.

If the redirect MUST be retained, the interface should be re-styled to give the user better expectations on its behavior. I suggest styling the select <option>s to appear as links with the same styling as other links in the interface. That would give the user a clear signal that their click will initiate the page switch.



---- Additional Comments From oleonard@myacpl.org 2009-02-24 11:05:34 ----

Created an attachment
Style tweaks to change the appearance of the multi-select form element

This patch could be applied if it were decided that the js-based redirect should be kept.



---- Additional Comments From nengard@gmail.com 2009-12-28 15:03:24 ----

This is still an issue - I thought I had to click the 'Select' button after selecting a patron - but that's not the case - I accidentally selected the wrong patron and it went to their record before I could change my selection.

In short - I too agree that it shouldn't automatically submit 



---- Additional Comments From oleonard@myacpl.org 2010-05-18 16:53:12 ----

Created an attachment
Proposed fix

This is what I believe to be the correct solution: Remove the automatic redirect.



---- Additional Comments From gmcharlt@gmail.com 2010-05-18 17:20:50 ----

CCing Michael Hafen in case he wants to argue for the behavior.  My inclination is to push Owen's patch, thereby removing the onclick.



---- Additional Comments From mdhafen@tech.washk12.org 2010-05-19 14:23:54 ----

(In reply to comment #4)
> CCing Michael Hafen in case he wants to argue for the behavior.  My inclination
> is to push Owen's patch, thereby removing the onclick.
> 

My argument is that some people might see this bit of javascript as a feature (my librarians do), and would be upset by it disappearing.  I would say it's better to change the style of the options to look like links as was suggested as a possible solution.



---- Additional Comments From oleonard@myacpl.org 2010-05-19 14:56:40 ----

This functionality can be easily added via the intranetuserjs system preference for libraries who like it:

$(document).ready(function(){
$("select#borrowernumber option").click(function(){ location.href="circulation.pl?borrowernumber="+$(this).attr("value"); }); });



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:05 UTC  ---

This bug was previously known as _bug_ 2981 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2981
Imported an attachment (id=1011)
Imported an attachment (id=1012)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1011 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1012 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Nicole C. Engard 2010-12-14 15:18:41 UTC
Created attachment 2841 [details] [review]
signed off patch
Comment 2 Chris Cormack 2010-12-14 20:11:01 UTC
Pushed, please test on master